Bug 1732129 - Qt Wayland By Default On Gnome
Summary: Qt Wayland By Default On Gnome
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Grulich
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-22 18:26 UTC by Ben Cotton
Modified: 2021-05-01 14:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-29 17:13:34 UTC
Type: ---


Attachments (Terms of Use)

Description Ben Cotton 2019-07-22 18:26:26 UTC
This is a tracking bug for Change: Qt Wayland By Default On Gnome
For more details, see: https://fedoraproject.org/wiki/Changes/Qt_Wayland_By_Default_On_Gnome

Make Qt applications to run natively on Gnome Wayland session, using the Qt Wayland platform plugin instead of the XCB plugin which is used for X11/XWayland. Other desktop environments already run natively on Wayland sessions, only Gnome is excluded by Qt.

Comment 1 Ben Cotton 2019-08-13 16:51:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 18:58:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Ben Cotton 2019-08-14 17:56:05 UTC
We have reached the 'Code Complete (testable)' milestone in the Fedora 31 release cycle. If your Change is in a testable state, please set the status to MODIFIED. If this Change will not be ready for Fedora 31, please set the version to rawhide.

The 100% code complete deadline is Tue 2019-08-27.

Comment 4 Ben Cotton 2019-08-27 17:17:50 UTC
We have reached the '100% Code Complete' milestone in the Fedora 31 release cycle. If your Change is complete, please set the status to ON_QA. The Beta Freeze is underway. If you need a freeze exception, see https://fedoraproject.org/wiki/QA:SOP_freeze_exception_bug_process

If this Change will not be ready for Fedora 31, please set the version to rawhide.

Comment 5 Ben Cotton 2019-10-29 17:13:34 UTC
Closing Change tracking bugs for the Fedora 31 release.

Comment 6 Germano Massullo 2021-05-01 14:23:18 UTC
Good day everybody. Can you please read discussion
https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/3BVLBS4B3XHJEXFVGD7RK2ZMXZG6JQZT/
since this change triggered a lot of bugreports from users and we package maintainers of Qt based packages did not know about the source of these mysterious quirks on GNOME. This lead to endless discussions on upstream Github issues of affected packages
Thanks

Comment 7 Ben Cotton 2021-05-01 14:36:00 UTC
You're commenting on an EOL tracker bug. Please open a bug against the appropriate component for a supported release.


Note You need to log in before you can comment on or make changes to this bug.